Skip to main content
POST
/
api
/
individual_reveals
curl --request POST \
  --url https://wiza.co/api/individual_reveals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "individual_reveal": {
    "full_name": "Stephen Hakami",
    "company": "Wiza",
    "domain": "wiza.co"
  },
  "enrichment_level": "partial",
  "email_options": {
    "accept_work": true,
    "accept_personal": false
  }
}
'
{
  "status": {
    "code": 200,
    "message": "🧙 Wiza is working on it!"
  },
  "type": "individual_reveal",
  "data": {
    "id": 32,
    "status": "queued",
    "is_complete": false
  }
}

Authorizations

Authorization
string
header
required

Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}

Body

application/json
individual_reveal
object
required
enrichment_level
enum<string>
required

Enrichment level of the list.

Enrichment LevelDescription
noneWill enrich with contact's data when you provide a Linkedin profile url or email. But will not find emails or phone numbers
partialWill find email.
phoneWill find phone numbers.
fullWill find email and phone numbers.
Available options:
none,
partial,
phone,
full
email_options
object

Types of emails to return. If not provided, all emails will be returned.

callback_url
string

URL to send the individual reveal update to. If not provided, the default webhook URL configured in your account settings will be used.

reveal_options
object

Optional advanced reveal options.

Response

successful

status
object
type
enum<string>
Available options:
individual_reveal
Example:

"individual_reveal"

data
object